## python-pytest-random-order 1.0.4

=== requirements.txt ===
coverage
py
pytest
pytest-xdist
sphinx
tox

=== debian/changelog ===
python-pytest-random-order (1.0.4-1) unstable; urgency=medium

  * Initial release (Closes: #917923)

 -- Nick Morrott <knowledgejunkie@gmail.com>  Mon, 31 Dec 2018 21:12:00 +0000

=== debian/control ===
Source: python-pytest-random-order
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Nick Morrott <knowledgejunkie@gmail.com>,
Build-Depends:
 debhelper (>= 11),
 dh-python,
 python3-all (>= 3.5),
 python3-pytest (>= 3.0),
 python3-setuptools,
Standards-Version: 4.3.0
Homepage: https://github.com/jbasko/pytest-random-order
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-pytest-random-order
Vcs-Git: https://salsa.debian.org/python-team/modules/python-pytest-random-order.git

Package: python3-pytest-random-order
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: pytest plugin to randomise the order of tests (Python 3)
 pytest-random-order is a pytest plugin that randomises the order of tests.
 This can be useful to detect a test that passes just because it happens to
 run after an unrelated test that leaves the system in a favourable state.
 .
 The plugin allows the user to control the level of randomness they want to
 introduce and to disable reordering on subsets of tests. Tests can be rerun
 in a specific order by passing a seed value reported in a previous test run.
 .
 This package installs the pytest plugin for Python 3.

=== debian/tests/control ===
Tests: python3-pytest-random-order
Depends: @builddeps@, @,

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
      https://github.com/jbasko/pytest-random-order/tags .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@

## python-pytest-random-order 1.1.0

=== debian/changelog ===
python-pytest-random-order (1.1.0-1) unstable; urgency=medium

  * New upstream version 1.1.0
  * d/control:
    - Declare compliance with Debian Policy 4.6.2 (no changes)
    - Add python3-pytest-xdist to B-D
  * d/copyright:
    - Bump years of Debian copyright

 -- Nick Morrott <nickm@debian.org>  Fri, 10 Feb 2023 03:42:13 +0000

python-pytest-random-order (1.0.4-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on python3-all and
      python3-pytest.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Oct 2022 00:04:10 +0100

python-pytest-random-order (1.0.4-4) unstable; urgency=medium

  * d/control:
    - Update standards version to 4.6.0, no changes needed.
  * d/copyright:
    - Refresh years of Debian copyright
    - Use 4-digit years for Debian copyright ranges
  * d/t/control:
    - Add python3-all to test dependencies
  * d/watch:
    - Update pattern for GitHub archive URLs

 -- Nick Morrott <nickm@debian.org>  Sat, 05 Feb 2022 14:30:09 +0000

python-pytest-random-order (1.0.4-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control:
    - Update Maintainer field with new Debian Python Team contact address.
    - Update Vcs-* fields with new Debian Python Team Salsa layout.

  [ Debian Janitor ]
  * d/u/metadata:
    - Remove obsolete fields Contact, Name (already present in
      machine-readable debian/copyright).

  [ Nick Morrott ]
  * d/control:
    - Declare compliance with Debian Policy 4.5.1
  * d/copyright:
    - Refresh years of Debian copyright
  * d/s/lintian-overrides:
    - Add override

 -- Nick Morrott <nickm@debian.org>  Mon, 11 Jan 2021 19:19:37 +0000

python-pytest-random-order (1.0.4-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Nick Morrott ]
  * d/control:
    - Bump Standards-Version to 4.5.0
    - Bump debhelper-compat level to 13
    - Add Rules-Requires-Root field, set to no
    - Update Uploaders with my Debian email address
  * d/copyright:
    - Refresh years of Debian copyright
  * d/gbp.conf:
    - Use pristine-tar
  * d/tests:
    - Run autopkgtests against all supported Python versions

 -- Nick Morrott <nickm@debian.org>  Thu, 18 Jun 2020 00:57:46 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,21 @@
 Source: python-pytest-random-order
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
- Nick Morrott <knowledgejunkie@gmail.com>,
+ Nick Morrott <nickm@debian.org>,
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 13),
  dh-python,
- python3-all (>= 3.5),
- python3-pytest (>= 3.0),
+ python3-all,
+ python3-pytest,
+ python3-pytest-xdist,
  python3-setuptools,
-Standards-Version: 4.3.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/jbasko/pytest-random-order
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-pytest-random-order
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-pytest-random-order.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pytest-random-order
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-pytest-random-order.git
+Rules-Requires-Root: no
 
 Package: python3-pytest-random-order
 Architecture: all

## python-pytest-random-order 1.1.1+ds

=== requirements.txt ===
coverage
py
pytest
pytest-xdist
sphinx

=== debian/changelog ===
python-pytest-random-order (1.1.1+ds-1) unstable; urgency=medium

  * New upstream version 1.1.1+ds
  * Advertise we are repacking source in version string
  * d/copyright:
    - Bump years of Debian copyright
  * d/s/lintian-overrides:
    - Drop unused override (version now includes +ds)
  * d/watch:
    - Refresh mangling to support added +ds version suffix

 -- Nick Morrott <nickm@debian.org>  Tue, 06 Feb 2024 10:13:42 +0000

python-pytest-random-order (1.1.0-2) unstable; urgency=medium

  * Team upload.
  * Add missing depend on python3-py (Closes: #1040424)

 -- Timo Röhling <roehling@debian.org>  Sun, 16 Jul 2023 20:29:24 +0200

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
  debhelper-compat (= 13),
  dh-python,
  python3-all,
+ python3-py,
  python3-pytest,
  python3-pytest-xdist,
  python3-setuptools,

=== debian/watch ===
version=4
opts=dversionmangle=s/@DEB_EXT@//,repacksuffix=+ds,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz% \
  https://github.com/jbasko/pytest-random-order/tags .*/archive/refs/tags/v?@ANY_VERSION@@ARCHIVE_EXT@

## python-pytest-random-order 1.2.0%2Bds

=== debian/tests/control ===
Tests: python3-pytest-random-order
Depends: @builddeps@, @, python3-all

## python-pytest-random-order 1.2.0+ds

=== debian/changelog ===
python-pytest-random-order (1.2.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.2.0+ds
  * Switch to pybuild-plugin-pyproject

  [ Francesco Ballarin ]
  * Add Francesco Ballarin to uploaders
  * Fix watchfile to detect new versions on github

  [ Nick Morrott ]
  * Remove myself from Uploaders

 -- Alexandre Detiste <tchet@debian.org>  Fri, 24 Oct 2025 10:49:24 +0200

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,20 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
- Nick Morrott <nickm@debian.org>,
+ Francesco Ballarin <francesco.ballarin@unicatt.it>
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-py,
  python3-pytest,
  python3-pytest-xdist,
  python3-setuptools,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/jbasko/pytest-random-order
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pytest-random-order
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pytest-random-order.git
-Rules-Requires-Root: no
 
 Package: python3-pytest-random-order
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export DH_ALWAYS_EXCLUDE=__pycache__

export DH_VERBOSE=1
export PYBUILD_VERBOSE=1

export LANG=C.UTF-8
export LC_ALL=C.UTF-8

export PYBUILD_NAME=pytest-random-order

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:

execute_after_dh_auto_install:
	# run tests after install: plugin needs to get registered by
	# setup.py/entry_points (from python-pytest-pylink)
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} -m pytest -v -x --ignore debian" dh_auto_test

=== debian/watch ===
version=4
opts=dversionmangle=s/@DEB_EXT@//,repacksuffix=+ds,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz% \
  https://github.com/jbasko/pytest-random-order/tags .*/refs/tags/v?@ANY_VERSION@@ARCHIVE_EXT@
